rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmRelocation_s Struct Reference

## Data Fields
const char * | oldPath
const char * | newPath

## Detailed Description

Definition at line 46 of file rpmfi.c.

## Field Documentation

const char * rpmRelocation_s::newPath

NULL means to omit the file completely!

Definition at line 50 of file rpmfi.c.

Referenced by relocateFileList(), rpmcliInstall(), rpmfiDupeRelocations(), rpmfiFreeRelocations(), and rpmfiNew().

const char * rpmRelocation_s::oldPath

NULL here evals to RPMTAG_DEFAULTPREFIX,

Definition at line 48 of file rpmfi.c.

Referenced by relocateFileList(), rpmcliInstall(), rpmfiDupeRelocations(), and rpmfiFreeRelocations().

The documentation for this struct was generated from the following files:

- lib/rpmfi.c
- lib/rpminstall.c